Subject: [Lsr] some doubt about RFC 5185 (Multi Area Adjacency)

From: meicong <[email-masked]>
Date: Wed, 23 Sep 2020 06:27:12 +0000

Hi ALL,
About rfc5185  OSPF Multi-Area Adjacency section 2.7 Advertising Multi-Area Adjacencies:

     Link ID = Remote's Router ID

I have the following questions:

1、   I'm not sure whether “Neighbor's IP Address” means “local interface IP address” or “remote interface IP address”.

I have test cisco’s new version, it is set Link Data as local interface IP address.

2、If it is remote interface IP address， why not use local interface IP address,  Any special considerations?

Thanks,
xxx

In section 2.7，
Link Data = Neighbor's IP Address

2.7.  Advertising Multi-Area Adjacencies

   Multi-area adjacencies are announced as point-to-point links.  Once

   the router's multi-area adjacency reaches the FULL state, it will be

   added as a link type 1 to the Router Link State Advertisement (LSA)

   with:

      Link ID = Remote's Router ID

      Link Data = Neighbor's IP Address or IfIndex (if the underlying

      interface is unnumbered).

rfc5185  OSPF Multi-Area Adjacency

Authors' Addresses

   Sina Mirtorabi
   Nuova Systems
   3 West Plumeria Drive
   San Jose, CA  95134
   USA

   EMail: [email-masked]<mailto:[email-masked]>

   Peter Psenak
   Cisco Systems
   Apollo Business Center
   Mlynske nivy 43
   821 09 Bratislava
   Slovakia

   EMail: [email-masked]<mailto:[email-masked]>

   Acee Lindem (editor)
   Redback Networks
   102 Carric Bend Court
   Cary, NC  27519
   USA

   EMail: [email-masked]<mailto:[email-masked]>

   Anand Oswal
   Redback Networks
   300 Holger Way
   San Jose, CA  95134
   USA

   EMail: [email-masked]<mailto:[email-masked]>